Subject: RE: B19.1: tar -u option under NT 4.0 SP3 does not update properl y
From: [email-masked] (Lavictoire, Jacques)

11 Jul 1998 07:12:33 -0700
Message-ID: <[email-masked]>
To: [email-masked], Jacques Lavictoire <[email-masked]>,
        "[email-masked]'" <[email-masked]>

Thanks for the information on the FAT problem  but these files are on an
NTFS filesystem.

Thanks

Jack

> ----------
> From: 	Earnie Boyd[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	Friday, July 10, 1998 9:15 AM
> To: 	[email-masked]; Jacques Lavictoire
> Subject: 	Re: B19.1: tar -u option under NT 4.0 SP3 does not
> update properly
> 
> 
> On a FAT filesystem there is only one timestamp and that is the date
> of last access.  Therefore, when tar accesses the file it updates the
> timestamp to the file and then will think that it has been modified.
> 
> 
> 
> ---Jacques Lavictoire <[email-masked]> wrote:
> >
> > Hi,
> > 
> >     I'm new to gnu-win32 so it might just be me but repeating a tar
> job
> > with -u should update only if the files are newer then the previous
> > tarred files correct . But it keeps adding the files but they are
> all
> > the same set of files exactly. An example is as follows
> > 
> > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > tar: Removing leading `/' from absolute path names in the archive
> > temp/ati/DE5110C1.EXE
> > temp/ati/MAKEDISK.BAT
> > temp/ati/MAKEDISK.PIF
> > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > tar: Removing leading `/' from absolute path names in the archive
> > temp/ati/DE5110C1.EXE
> > temp/ati/MAKEDISK.BAT
> > temp/ati/MAKEDISK.PIF
> > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > tar: Removing leading `/' from absolute path names in the archive
> > temp/ati/DE5110C1.EXE
> > temp/ati/MAKEDISK.BAT
> > temp/ati/MAKEDISK.PIF
> > 
> > After this you would expect, if I'm reading the help on tar
> properly,
> > that I should only have one copy of the files since they haven't
> changed
> > at all. Is this a problem ?
> > 
> > Thank You
> > 
> > Jack
> > 
> > 
> > --
> > 
> >        Jacques Lavictoire Systems Support
> >        Canada Centre for Remote Sensing, Natural Resources Canada
> >        588 Booth Street, Room G3, Ottawa, Ontario, Canada K1A 0Y7
> >        Email: [email-masked]
> >        Phone: (613) 947-1366 Fax: (613) 947-1408
> > 
> > 
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> > 
> 
> 
> ==
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
> 
> 
> 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".